=== debian/changelog ===
sysvinit (2.95-5ubuntu2) eoan; urgency=medium

  * Adjust debian/rules to fix an arch: all build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 09:01:15 -0700

sysvinit (2.95-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 23:55:53 -0700

sysvinit (2.95-5) unstable; urgency=medium

  * [2d158bc6] Make default TTYMODE match default TTYPERM of `login' package
    (Closes: #367432)
  * [01d4a5b8] Remove overly aggressive optimization from /etc/init.d/rc
    (Closes: #669406)
  * [1fb96748] Ensure `mdadm' init script starts before `checkfs'
    (Closes: #627797)
  * [91a45784] Restructure init-d-script(5) manpage (Closes: #768362)
  * [3681b33c] Do not print version of `fsck' during boot (Closes: #386296)
  * [154eb9a6] Order directories in PATH consistently with /etc/profile
    (Closes: #553325)
  * [8e9cc754] Change inittab to pass --noclear to getty on tty1
    (Closes: #718416)
  * [beb2cfd3] Make init-d-script based scripts more robust (Closes: #822918)
  * [ce075375] Allow /etc/default/<script> re-define DAEMON variable
    (Closes: #768138)
  * [fce03ed5] Do not imply in README that init scripts must have extension
    (Closes: #934066)
  * [77d34f9f] Update /etc/init.d/README to current practices (Closes: #934065)
  * [af1fa053] Document INIT_VERBOSE variable in /etc/default/rcS
    (Closes: #730824)
  * [1cd69037] Make bin:initscripts architecture-independent (Closes: #922962)
  * [49f87295] Remove useless empty directory from bin:sysv-rc
  * [974ef1c1] Fix missing README link in /etc/rc0.d
  * [bc567621] Fix spelling error in init-d-script.5

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 12 Aug 2019 20:13:47 +0000

sysvinit (2.95-4) unstable; urgency=medium

  * [995df63a] Fix FTBFS on kfreebsd-any (Closes: #933638)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 02 Aug 2019 09:57:48 +0000

sysvinit (2.95-3) unstable; urgency=medium

  * [0c6b0ff0] Attempt to mount /sys/kernel/config after `kmod'
    (Closes: #840356)
  * [6fb68099] Fix bug in handling /etc/fstab.d.
    Thanks to Rolf W. Rasmussen <rolfwr@gmail.com> (Closes: #735930)
  * [7176b71d] Mount securityfs when it is available.
    Thanks to Ritesh Raj Sarraf <rrs@debian.org> (Closes: #440709)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 29 Jul 2019 08:10:44 +0000

sysvinit (2.95-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Jul 2019 12:32:57 -0700

sysvinit (2.95-2) unstable; urgency=medium

  * [22e43c01] Make sure dh_fixperms is called during build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #932300)
  * [a7ef4c4c] Fix wrong permissions of /var/run/utmp.
    Thanks to Thorsten Glaser <tg@mirbsd.de> (Closes: #932380)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 21 Jul 2019 19:43:53 +0000

sysvinit (2.95-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Contact, Name.
  * Update standards version, no changes needed.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 16 Jul 2019 19:28:51 +0000

sysvinit (2.95~beta-1) experimental; urgency=medium

  * New upstream release (Closes: #374039).

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 22 May 2019 22:07:32 +0000

sysvinit (2.94-5) experimental; urgency=medium

  * Split long message into several lines to avoid terminal glitches.
    + Closes: #670585
    + Thanks: Antoni Villalonga <antoni@friki.cat>
  * Fix style in /etc/init.d/rc script (Closes: #928249)
  * Make lsb-base hard dependency of sysv-rc (Closes: #928250)
  * Error handle redirection used to truncate /var/run/wtmp
    + Closes: #928348
    + Thanks: Cristian Ionescu-Idbohrn <cii@axis.com>

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 11 May 2019 20:03:26 +0000

sysvinit (2.94-4) experimental; urgency=medium

  * Add Gitlab CI config file.
  * Remove obsolete `saveconfig' script. (Closes: #923451)
  * Correctly upgrade unmodified version of /etc/rc.local (Closes: #923485)
  * Fix wrong /tmp permissions when symlinking /tmp to /run/tmp.
    + Closes: #927113
    + Thanks: Serge Belyshev <belyshev@depni.sinp.msu.ru>

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 24 Apr 2019 01:04:22 +0000

sysvinit (2.94-3) experimental; urgency=medium

  * Correctly quote arguments to grep in umountfs script (Closes: #575204)
  * Add new parameter COMMAND_NAME to init-d-script (Closes: #834419)
  * Drop special cases for updates from ancient versions (Closes: #922421)
  * Remove check for .legacy-bootordering flag file (Closes: #926854)
  * Remove unused lintian overrides (Closes: #926855)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 14 Apr 2019 13:40:55 +0000

sysvinit (2.94-2) experimental; urgency=medium

  * Make init-d-scripts exit with sensible values (Closes: #427889)
  * Make /etc/init.d/reboot respect NETDOWN variable (Closes: #499796)
  * Improve description of VERBOSE in rcS(5) (Closes: #589050)
  * Document NETDOWN variable in /etc/default/halt (Closes: #703844)
  * Move README files from /etc (Closes: #921333)
  * Do not use unsafe `: >` shell command to create files (Closes: #923478)
    + Thanks: Pierre Ynard <linkfanel@yahoo.fr>
  * Make /etc/rc.local conffile (Closes: #923485)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 04 Apr 2019 22:30:28 +0000

sysvinit (2.94-1) experimental; urgency=medium

  * New upstream release (Closes: #923371, #671589)
  * Remove unused code from initscripts postinst (Closes: #923168)
  * Update Danish translation of the debconf templates (Closes: #923058)
    + Thanks: Joe Dalton <joedalton2@yahoo.dk>

