## sysvinit 2.96

=== src/Makefile ===
--- 
+++ 
@@ -181,8 +181,7 @@
 cleanobjs:
 		rm -f *.o *.bak
 
-clean:		cleanobjs
-		@echo Type \"make clobber\" to really clean up.
+clean:		cleanobjs clobber
 
 clobber:	cleanobjs
 		rm -f $(BIN) $(SBIN) $(USRBIN)
