=== debian/changelog ===
sysvinit (2.96-7+deb11u1) bullseye; urgency=medium

  [ Tomas Pospisek ]
  * Clarify that when called with a `time` shutdown will not exit. That's
    important to know for programs or scripts that call `shutdown
    ... time` because they will never proceed after having called it
    (unless they fork exec or similar of course). Point in case:
    unattended-upgrades gets caught by this.

  [ mirabilos ]
  * convert to a DEP 3 patch instead

  [ Mark Hindley ]
  * Backport upstream patch to fix parsing of shutdown +0 (Closes:
    #1001795).

 -- Mark Hindley <leepen@debian.org>  Thu, 16 Dec 2021 18:12:09 +0000

sysvinit (2.96-7) unstable; urgency=medium

  [ Mark Hindley ]
  * Mount /proc with -o compatible on HURD only (Closes: #985584).
  * Build-Depend on libcrypt-dev explicitly (thanks to Helmut Grohne).
    (Closes: #972315)

  [ Adam Borowski ]
  * Handle libcrypt moved back to /lib, fixing FTBFS (Closes: #987135).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Apr 2021 17:38:40 +0200

sysvinit (2.96-6) unstable; urgency=medium

  [ Matthew Vernon ]
  * Team upload
  * Recommend orphan-sysvinit-scripts (Closes: #981801)
  * Update Spanish translation (thanks to Javier Fernández-Sanguino)
    (Closes: #981479)

  [ Adam Borowski ]
  * Update Brazillian translations (thanks to Adriano Rafael Gomes)
    (Closes: #972837)

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 13:53:09 +0000

sysvinit (2.96-5) unstable; urgency=low

  * Team upload.
  * debian/src/initscripts/etc/init.d/mountdevsubfs.sh: if /dev/fd
    is a directory (such as on Hurd), skip symlinking “over” it

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 10 Sep 2020 17:37:30 +0200

sysvinit (2.96-4) unstable; urgency=critical

  [ Thorsten Glaser ]
  * Team upload.

  [ Adam Borowski ]
  * Update the list of tools in sysvinit-utils’ package description
  * Remove/unversion pre-stretch dependencies (taking care of implied
    dependencies on Essential) except for no-longer-in-archive sysvinit
  * Really drop changelog.gz from sysvinit-utils
  * Conflict/Replace runit-init (because of /sbin/init)
  * Drop the word “utilities” from bin:sysvinit-core’s short description
  * Don’t require root to build
  * Drop Dmitry from Uploaders :(

  [ Samuel Thibault ]
  * src/initscripts/etc/init.d/{checkroot,checkfs}.sh:
    Fix getting fsck return code

  [ Bjarni Ingi Gislason ]
  * Formatting fixes in fstab-decode(8)

  [ Vincent Lefevre ]
  * Fix a typo in a comment in if-up.d/mountnfs (Closes: #961513)

  [ Thorsten Glaser ]
  * Bring back support for /etc/init.d/.legacy-bootordering as
    flag file (manually created by the local admin) to disable
    concurrent (parallel) boot
  * Let mountdevsubfs.sh (run early after udev) fixup (if needed)
    /dev/fd and /dev/std{in,out,err} to work around udev bug #967546
    and upload as critical system fix (Closes: #968199)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Aug 2020 02:29:31 +0200

sysvinit (2.96-3) unstable; urgency=medium

  * Update Dmitry's address.
  * Drop ancient Debian.NEWS.
  * Don't install upstream changelog on sysvinit-utils (Essential).
  * Update trim cut-off for changelog.Debian to pre-buster.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 Mar 2020 23:37:42 +0100

sysvinit (2.96-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change package rebuild to fix timestamp issue as raised by
    buildd. (Closes: #945820)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 14:07:13 -0500

sysvinit (2.96-2) unstable; urgency=medium

  * Incorporate runlevel documentation from Debian Policy.
    Thanks to Sean Whitton <spwhitton@spwhitton.name> (Closes: #943583)
  * init-d-script: fix missing --oknodo in s-s-d invocation.
    Thanks to Jan Braun <janbraun@gmx.de> (Closes: #954464)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 28 Nov 2019 21:07:03 +0000

sysvinit (2.96-1) unstable; urgency=medium

  * New upstream release.
  * Stop providing empty /run directory in bin:initscripts
  * Stop providing unused /var/lib/insserv/ in bin:sysv-rc
  * Install bootlog init scripts with dh_install instead of custom Makefile
  * Add lintian override about dependency on $all in bootlogd init scripts
  * Remove unused lintian overrides
  * Remove sysv-rc postinst script, that used to support legacy boot ordering
  * Remove "debian/fscklog.sh" that was never installed
  * Bump standards version to 4.4.1

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Oct 2019 00:37:48 +0000

sysvinit (2.96~beta-3) unstable; urgency=medium

  * Team upload.
  * checkfs, checkroot: Use setterm only if extant (Closes: #941378)
  * fstab-decode(8): Fix typo pointed out by lintian
  * sysv-rc.postinst: Rename servive variable (lintian false-positive)
  * d/rules: Introduce bindnow hardening, prompted by lintian
  * Fix BD-Uninstallable on ten Debian architectures by replacing the
    pandoc invocation with a properly written manpage
  * init: Fix a lintian false-positive on spelling caused by GCC

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 02 Oct 2019 02:18:53 +0200

sysvinit (2.96~beta-2) unstable; urgency=medium

  * Disable kernel messages during fsck to avoid interleaved output
    (Closes: #398269)
  * Make bootlogd stop late enough (Closes: #935302, #920117, 808999)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 23 Sep 2019 16:12:23 +0000

sysvinit (2.96~beta-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Disable escape sequence filtering by bootlogd (Closes: #672361)
  * Fix missing argument in `domount' call for securityfs (Closes: #935533)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Aug 2019 14:46:25 +0000

sysvinit (2.95-6) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * sysv-rc: assume `startpar' is installed into PATH
  * Document that `CONCURRENCY' variable is no longer used (Closes: #692559)
  * Use v* version of lsb functions in `init-d-script'
  * Remove unused lintian overrides

