=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #! /usr/bin/make -f
+DEB_BUILD_MAINT_OPTIONS+=hardening=+all
+include /usr/share/dpkg/default.mk
+include debian/config/selinux.mk
 
 tmp     = $(CURDIR)/debian/tmp
 sysvtmp = $(CURDIR)/debian/sysvinit-core
@@ -10,14 +13,8 @@
 
 LC_ALL	= POSIX
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-INSTALL_DATA = install -o root -g root -m 644 -D
-INSTALL      = install -o root -g root -m 755
+INSTALL_DATA = install -m 644
+INSTALL      = install -m 755
 
 # Handle cross builds
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -26,16 +23,7 @@
 CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-# Set arch specific build flags
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFFLAGS = WITH_SELINUX="yes"
-endif
-
 DH_OPTIONS =
-
-ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
-endif
 
 # Use debhelper's dh
 %:
@@ -45,11 +33,9 @@
 	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install-arch:
-	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
 	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install
 
 override_dh_auto_install-indep:
-	$(MAKE) -C debian/src/sysv-rc install DESTDIR=$(rctmp)
 	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)
 
 override_dh_install-arch:
@@ -79,32 +65,26 @@
 install-arch: build-arch
 	dh $@ $(DH_OPTIONS)
 
-override_dh_installman:
-	pandoc -s debian/init-d-script.md -o debian/init-d-script.5
-	dh_installman
-
 override_dh_installchangelogs-arch:
 	dh_installchangelogs -psysvinit-core doc/Changelog
 
-ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	dh_installchangelogs -psysvinit-utils doc/Changelog
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	dh_installchangelogs -psysvinit-utils
+	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian
 
 	dh_installchangelogs -pbootlogd
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
-endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
-ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(rctmp)$(doc)/sysv-rc/changelog.Debian
+
 	dh_installchangelogs -pinitscripts
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(inittmp)$(doc)/initscripts/changelog.Debian
-endif
 
 override_dh_installdeb:
 	dh_installdeb
