## sysvinit 3.00

=== debian/changelog ===
sysvinit (3.00-1+devuan1) unstable; urgency=medium

  * Merge Debian 3.00.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Oct 2021 15:01:13 +0100

sysvinit (3.00-1) unstable; urgency=medium

  * New upstream version 3.00
  * d/changelog: fix typo in previous version.

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 11:26:57 +0100

sysvinit (3.00~beta-1) experimental; urgency=medium

  [ Mark Hindley ]
  * Add myself to uploaders.
  * New upstream version 3.00~beta.
  * d/patches: remove patch applied upstream.
  * d/patches: refresh patches.
  * initscripts: remove -t option from telinit invocation (Closes:
    #990019).
  * bootmisc.sh: set SE Linux context after utmp file creation. Thanks to
    Russell Coker. (Closes: #950459)
  * Remove obsolete lintian overrides.
  * Update to Standards Version 4.6.0 (no changes).

  [ Ian Jackson ]
  * mountkernfs.sh: mount /sys/firmware/efi/efivars if possible (Closes:
    #783990).

  [ Dr. Tobias Quathamer ]
  * Rename manpage tmpfs.5 to tmpfs-config.5 (Closes: #848121, #951596).

  [ Trek ]
  * init-d-script: fix PIDFILE argument to status_of_proc (Closes: #962649).
  * init-d-script: allow disabling --exec or --name options.
  * init-d-script: fix do_status when DAEMON=none.
  * init-d-script: policy compliant exit values (Closes: #968038).
  * init-d-script: fix force-reload if do_reload is an alias.
  * init-d-script: added do_reload_cmd interface.
  * init-d-script: added RELOAD_SIGNAL interface.
    Thanks to Robbie Harwood <rharwood@club.cc.cmu.edu> (Closes: #807311).
  * init-d-script: send SIGCONT after SIGTERM.
    Thanks to Jan Braun <janbraun@gmx.de>.
  * init-d-script: fix try-restart output and more verbosity.
  * init-d-script: /bin/sh as interpreter and small optimizations.

 -- Mark Hindley <leepen@debian.org>  Wed, 15 Sep 2021 11:19:13 +0100

sysvinit (2.96-7+devuan1) unstable; urgency=medium

  * Merge debian 2.96-7.

 -- Mark Hindley <mark@hindley.org.uk>>  Sat, 24 Apr 2021 10:41:23 +0100

sysvinit (2.96-6+devuan1) unstable; urgency=medium

  * Merge debian 2.96-6.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 03 Mar 2021 11:41:28 +0000

sysvinit (2.96-5+devuan1) unstable; urgency=medium

  * Merge Debian 2.96-5.
  * Fix typo in last Devuan version number.
  * d/gbp.conf: add Devuan debian-tag default.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Sep 2020 09:49:45 +0100

sysvinit (2.96-4+devuan1) unstable; urgency=medium

  * Merge debian/2.96-4 (normal urgency as change causing #968199 not
    present in eudev).
  * d/control: update Vcs-* following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Aug 2020 12:18:02 +0100

sysvinit (2.96-3+devuan1) unstable; urgency=medium

  * Merge new Debian version 2.96-3.
  * Change maintenance to Devuan Developers list and add myself as an
    uploader.
  * d/control: update Vcs-* fields.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Apr 2020 15:45:07 +0100

sysvinit (2.93-8+devuan1) unstable; urgency=medium

  * merge 2.93-8 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 26 Feb 2019 16:59:47 +0000

sysvinit (2.93-7+devuan1) unstable; urgency=medium

  * merge 2.93-7 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 04 Feb 2019 09:53:28 +0000

sysvinit (2.93-5+devuan1) unstable; urgency=medium

  * merge 2.93-5 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 25 Jan 2019 09:20:31 +0000

sysvinit (2.93-3+devuan1) unstable; urgency=medium

  * merge 2.93-3 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 06 Jan 2019 08:31:30 +0000

sysvinit (2.93-2+devuan1) unstable; urgency=medium

  * merge 2.93-2 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 28 Dec 2018 15:59:42 +0000

sysvinit (2.92~beta-2+devuan1.1) unstable; urgency=medium

  * merged 2.92-beta2 into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 24 Nov 2018 18:25:41 +0000

sysvinit (2.88dsf-59.11+devuan1) unstable; urgency=medium

  [ Daniel Reurich ]
  * Merge 2.88dsf-59.11 into suites/unstable
  
 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 01 Nov 2018 23:53:06 +1300

sysvinit (2.88dsf-59.9+devuan3) unstable; urgency=medium

  * Bump changelog for Devuan Beowulf.

 -- Ivan J. <parazyd@dyne.org>  Sat, 10 Mar 2018 22:15:00 +0100

sysvinit (2.88dsf-59.9+devuan2) unstable; urgency=medium

  * Bump package to reflect Debian Stretch version

 -- Ivan J. <parazyd@dyne.org>  Sat, 02 Dec 2017 09:34:00 +0100

sysvinit (2.88dsf-59.3+devuan2) unstable; urgency=medium

  * fix upstream-tag var

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 04 Mar 2016 01:35:52 +0000

sysvinit (2.88dsf-59.3+devuan1) unstable; urgency=medium

  [ nextime ]
  * Devuanize git-tag script
  * added gpb.conf

  [ Daniel Reurich ]
  * Devuanise package
  * add gbp.conf
  * delete incorrectly named gpb.conf

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 04 Mar 2016 00:55:20 +0000
