=== debian/control ===
--- 
+++ 
@@ -1,29 +1,41 @@
 Source: sysvinit
 Section: admin
-Priority: optional
-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders:
- Ian Jackson <ijackson@chiark.greenend.org.uk>,
- Benda Xu <heroxbd@gentoo.org>,
- Adam Borowski <kilobyte@angband.pl>,
- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+Priority: required
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	   Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+	   Daniel Reurich <daniel@centurion.net.nz>
 Build-Depends:
  debhelper-compat (= 12),
  libcrypt-dev,
  libselinux1-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://savannah.nongnu.org/projects/sysvinit
-Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
-Vcs-Browser: https://salsa.debian.org/debian/sysvinit
+Vcs-Git: https://git.devuan.org/devuan/sysvinit.git
+Vcs-Browser: https://git.devuan.org/devuan/sysvinit
+Origin: Devuan
+
+Package: sysvinit
+Priority: optional
+Architecture: any
+Pre-Depends: init
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: System-V-like init utilities - transitional package
+ This package depends on init, which is an essential package that
+ pulls in the default init system. In Devuan, this will remain sysvinit
+ It facilitates a smooth transition from debian.
+ .
+ If your system successfully boots after removing systemd or if you have chosen
+ to stick with debian, this package can be removed safely.
 
 Package: sysvinit-core
 Architecture: any
 Depends:
  initscripts,
  kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
- sysv-rc | file-rc | openrc,
+ sysv-rc | openrc | file-rc,
  sysvinit-utils (>= 2.86.ds1-66),
  mount [linux-any],
  ${misc:Depends},
