## sysvinit 3.01

=== debian/changelog ===
sysvinit (3.01-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. (Closes: LP: #1958666) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 14 Dec 2021 21:17:22 +0000

sysvinit (3.01-1) unstable; urgency=medium

  * Update upstream signing key.
  * New upstream version 3.01
  * Remove patch applied upstream.

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Dec 2021 07:54:11 +0000

sysvinit (3.00-2~exp1) experimental; urgency=medium

  * Remove time served support for converting /etc/rc.local to conffile
    (Closes: #987732).
  * Provisional upstream patch to restore pidof reporting D processes
    (Closes: #926896).

 -- Mark Hindley <leepen@debian.org>  Sat, 23 Oct 2021 11:02:07 +0100

sysvinit (2.96-7ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:10 +0200

sysvinit (2.96-7ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 20:19:54 -0700

sysvinit (2.96-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
  * Dropped changes, no longer needed:
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Mar 2021 10:02:02 -0700

sysvinit (2.96-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 19:04:47 -0700

sysvinit (2.96-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 07:41:28 -0700

sysvinit (2.96-2.1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 10:38:21 -0800

sysvinit (2.96-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 15:59:53 -0700

sysvinit (2.96~beta-3ubuntu2) focal; urgency=medium

  * Fix debian/rules to not try to install bits into a sysvinit-core package
    we aren't building.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 13:21:15 -0700

sysvinit (2.96~beta-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:21:33 -0700
