=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: sysvinit
 Section: admin
-Priority: required
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	   Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
-	   Daniel Reurich <daniel@centurion.net.nz>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders:
+ Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Benda Xu <heroxbd@gentoo.org>,
+ Adam Borowski <kilobyte@angband.pl>,
+ Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+ Mark Hindley <leepen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  libcrypt-dev,
@@ -13,29 +17,15 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://savannah.nongnu.org/projects/sysvinit
-Vcs-Git: https://git.devuan.org/devuan/sysvinit.git
-Vcs-Browser: https://git.devuan.org/devuan/sysvinit
-Origin: Devuan
-
-Package: sysvinit
-Priority: optional
-Architecture: any
-Pre-Depends: init
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: System-V-like init utilities - transitional package
- This package depends on init, which is an essential package that
- pulls in the default init system. In Devuan, this will remain sysvinit
- It facilitates a smooth transition from debian.
- .
- If your system successfully boots after removing systemd or if you have chosen
- to stick with debian, this package can be removed safely.
+Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
+Vcs-Browser: https://salsa.debian.org/debian/sysvinit
 
 Package: sysvinit-core
 Architecture: any
 Depends:
  initscripts,
  kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
- sysv-rc | openrc | file-rc,
+ sysv-rc | file-rc | openrc,
  sysvinit-utils (>= 2.86.ds1-66),
  mount [linux-any],
  ${misc:Depends},
