=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,12 @@
 
 LC_ALL	= POSIX
 
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 INSTALL_DATA = install -m 644
 INSTALL      = install -m 755
 
@@ -24,6 +30,10 @@
 endif
 
 DH_OPTIONS =
+
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
+endif
 
 # Use debhelper's dh
 %:
@@ -41,6 +51,7 @@
 override_dh_install-arch:
 	dh_install
 
+ifneq (,$(findstring sysvinit-core, $(shell dh_listpackages)))
 	# sysvinit package
 	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
 	then \
@@ -56,6 +67,7 @@
 		$(INSTALL_DATA) debian/share/inittab \
 			$(sysvtmp)/usr/share/sysvinit/inittab ; \
 	fi
+endif
 
 	# initscripts package may include /sys
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
@@ -68,6 +80,7 @@
 override_dh_installchangelogs-arch:
 	dh_installchangelogs -psysvinit-core doc/Changelog
 
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	dh_installchangelogs -psysvinit-utils
 	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
@@ -76,15 +89,18 @@
 	dh_installchangelogs -pbootlogd
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
+endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(rctmp)$(doc)/sysv-rc/changelog.Debian
 
 	dh_installchangelogs -pinitscripts
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(inittmp)$(doc)/initscripts/changelog.Debian
+endif
 
 override_dh_installdeb:
 	dh_installdeb
