## sysvinit 3.04

=== debian/changelog ===
sysvinit (3.04-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. (LP: #1987257) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sat, 22 Aug 2022 09:57:41 +0200

sysvinit (3.04-1) unstable; urgency=medium

  * New upstream version 3.04
  * Bracket lintian overrides.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 Aug 2022 12:49:34 +0200

sysvinit (3.03-1) unstable; urgency=medium

  * New upstream version 3.03
  * Remove patch applied upstream.
  * mount-functions.sh: add PARTUUID and PARTLABEL support. (Closes: #1008910)
  * mount-functions.sh: Update comment describing read_fstab().

 -- Mark Hindley <leepen@debian.org>  Fri, 15 Apr 2022 18:56:24 +0100

sysvinit (3.02-1) experimental; urgency=medium

  * Change upstream to GitHub.
  * New upstream version 3.02
  * Refresh patches.
  * Delete patch applied upstream.
  * Add patch to fix groff formatting error in init.8.

 -- Mark Hindley <leepen@debian.org>  Tue, 29 Mar 2022 16:00:24 +0100
