=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libselinux1-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Homepage: https://savannah.nongnu.org/projects/sysvinit
+Standards-Version: 4.6.1
+Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
